fop 2.3

## org.apache.fop.render.pcl.fonts
Class PCLCharacterWriter

    java.lang.Object
      org.apache.fop.render.pcl.fonts.PCLCharacterWriter

Direct Known Subclasses:
  PCLTTFCharacterWriter

    public abstract class PCLCharacterWriter

extends java.lang.Object

Field Summary
`protected PCLSoftFont` `font`
`protected FontFileReader` `fontReader`
`protected OpenFont` `openFont`

Constructor Summary
`PCLCharacterWriter(PCLSoftFont font)`

Method Summary
`abstract byte[]` `writeCharacterDefinitions(java.lang.String text)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### font

    protected PCLSoftFont font

### openFont

    protected OpenFont openFont

### fontReader

    protected FontFileReader fontReader

Constructor Detail

### PCLCharacterWriter

    public PCLCharacterWriter(PCLSoftFont font)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### writeCharacterDefinitions

    public abstract byte[] writeCharacterDefinitions(java.lang.String text)
                                              throws java.io.IOException

  Throws:
    `java.io.IOException`

fop 2.3

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.